coupang
GET/v2/providers/seller_api/apis/api/v1/marketplace/vendors/{vendorId}/check-auto-category-agreedv1

Confirmation of category auto matching service agreement

# 01

Summary

Available buyer market: Korean The following shows check if the vendorID has agreed to the category auto matching service. For more information on the category auto matching service, please click here.

# 02

Details

Available buyer market: Korean
The following shows check if the vendorID has agreed to the category auto matching service.
For more information on the category auto matching service, please click here.
 

Path

GET

/v2/providers/seller_api/apis/api/v1/marketplace/vendors/{vendorId}/check-auto-category-agreed

Example Endpoint

https://api-gateway.coupang.com/v2/providers/seller_api/apis/api/v1/marketplace/vendors/A00123456/check-auto-category-agreed

Request Parameters

Path Segment Parameter

Name Required Type Description
vendorId O String
VendorID

Request Example 

not require body

Response Message

Name Type Description
code String
SUCCESS/ERROR
message String
message
data String
Whether vendorId have agreed to the service or not
true or false

Response Example

{
    "code": "SUCCESS",
    "message": "",
    "data": true
}

Error Spec

HTTP Status Code (Error Type) Error Message Solution
400 (check parameter requested)

The vendorId[A00123456] cannot retrieve the information of another vendorId[A0012***].

See if you have entered a valid vendorId.